features:
  secondary:
    - name: "Merge Request changes are loaded progressively"
      available_in: [core, starter, premium, ultimate]
      documentation_link: "https://docs.gitlab.com/ee/user/project/merge_requests/"
      reporter: jramsay
      stage: create
      categories:
        - "Code Review"
      issue_url: "https://gitlab.com/gitlab-org/gitlab/issues/31290"
      description: |
        Merge Requests, particularly the **Changes** tab, is where source code is reviewed and discussed. Previously, as proposed changes became larger, the diff would load slowly and couldn't be read until fully loaded.

        In GitLab 12.8, the file changes list loads immediately, and the diffs are loaded progressively so that you can begin reading the diff almost immediately rather than waiting for the page to load fully.
